summaryrefslogtreecommitdiffstats
path: root/bin/jenkins_master_wrapper.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-10-11 13:48:36 +0200
committerHolger Levsen <holger@layer-acht.org>2016-10-11 13:48:36 +0200
commitef885ab8a0cc278cd8a35800bfcc8ac0ece491af (patch)
tree9c6b25beb95b382927d246b9f0471a9334735149 /bin/jenkins_master_wrapper.sh
parentf2a87796044db26f7daf2a4736bd66db3ed51488 (diff)
downloadjenkins.debian.net-ef885ab8a0cc278cd8a35800bfcc8ac0ece491af.tar.xz
add some comments
Diffstat (limited to 'bin/jenkins_master_wrapper.sh')
-rwxr-xr-xbin/jenkins_master_wrapper.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/jenkins_master_wrapper.sh b/bin/jenkins_master_wrapper.sh
index 72037c84..9301275f 100755
--- a/bin/jenkins_master_wrapper.sh
+++ b/bin/jenkins_master_wrapper.sh
@@ -60,7 +60,9 @@ if [ $RESULT -ne 0 ] ; then
exec /srv/jenkins/bin/abort.sh
fi
set -e
-# run things on the target node
+#
+# actually run things on the target node
+#
RETVAL=0
ssh -o "BatchMode = yes" -p $PORT $NODE_NAME "$PARAMS" || {
# mention failures, but continue since we might want the artifacts anyway
@@ -79,4 +81,7 @@ if [ "$RETRIEVE_ARTIFACTS" = "yes" ] ; then
ssh -o "BatchMode = yes" -p $PORT $NODE_NAME "rm -r $NODE_RESULTS"
fi
+#
+# exit with the actual exit code from the target node
+#
exit $RETVAL